$INCLUDE: 'C:\FG\INTRFACE.FOR'

      PROGRAM MAIN

      INTEGER*2 STATUS
      INTEGER*2 FG_MOUSEINI

      CALL FG_SETMODE(-1)
      STATUS = FG_MOUSEINI()

      IF (STATUS .LT. 0) THEN
         WRITE(6,*) 'Mouse not available.'
      ELSE
         WRITE(6,*) STATUS, ' button mouse found.'
      END IF

      STOP ' '
      END
